%define fcpackage_version 2_0
%define relno 2.0

%define freetype_version 2.1.2-5
%define fontconfig_version 2.0
%define XFree86_version 4.2.0

Summary: X Font Rendering library
Name: Xft
Version: %relno
Release: 4
License: MIT
Group: System Environment/Libraries
Source: http://keithp.com/fonts/pub/fcpackage.%{fcpackage_version}.tar.gz
URL: http://keithp.com/fonts
BuildRoot: %{_tmppath}/Xft-%{PACKAGE_VERSION}-root

Patch1: Xft-1.9.1.020626.1517-slighthint.patch
Patch3: Xft-1.9.1.020811.1151-embeddedbitmap.patch
Patch4: Xft-2.0-memory.patch

BuildRequires: fontconfig-devel >= %{fontconfig_version}
BuildRequires: freetype-devel >= %{freetype_version}
BuildRequires: XFree86-devel >= %{XFree86_version}

%description
Xft is a font rendering library for X.

%package devel
Summary: Font configuration and customization library
Group: Development/Libraries
Requires: Xft = %{PACKAGE_VERSION}
Requires: freetype-devel >= %{freetype_version}
Requires: fontconfig-devel >= %{fontconfig_version}

%description devel
The Xft-devel package includes the header files,
and developer docs for the Xft package.

Install Xft-devel if you want to develop programs which 
will use Xft.


%prep
%setup -q -n fcpackage.%{fcpackage_version}/Xft

%patch1 -p1 -b .slighthint
%patch3 -p1 -b .embeddedbitmap
%patch4 -p2 -b .memory

%build

%configure
make

perl -pi -e 's@-I\${includedir}@-I\${includedir}/Xft2@;' xft.pc xft-config
perl -pi -e 's@-lXft@-lXft2@;' xft.pc xft-config

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 Xft.man $RPM_BUILD_ROOT%{_mandir}/man3/Xft.3x

mkdir -p $RPM_BUILD_ROOT%{_includedir}/Xft2
mv $RPM_BUILD_ROOT%{_includedir}/X11 $RPM_BUILD_ROOT%{_includedir}/Xft2
mv $RPM_BUILD_ROOT%{_libdir}/libXft.so $RPM_BUILD_ROOT%{_libdir}/libXft2.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libXft.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libXft2.so
%{_libdir}/pkgconfig
%{_bindir}/xft-config
%{_includedir}/Xft2
%{_mandir}/man3/Xft.3x*

%changelog
* Wed Dec  4 2002 Havoc Pennington <hp@redhat.com>
- patch memory leak in non-RENDER fallback case

* Fri Nov  8 2002 Than Ngo <than@redhat.com>
- rebuild in new enviroment

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0

* Mon Aug 26 2002 Owen Taylor <otaylor@redhat.com>
- Upgrade to fcpackage rc3

* Wed Aug 21 2002 Owen Taylor <otaylor@redhat.com>
- Make whether we prefer fonts.conf or not configurable through Xft

* Mon Aug 12 2002 Owen Taylor <otaylor@redhat.com>
- Upgrade to fcpackage rc2
- Add a fix for loading embedded bitmaps properly
- Always use Xft when available
- Patch from Nalin for crash on invalid glyphs

* Tue Jul  9 2002 Owen Taylor <otaylor@redhat.com>
- New upstream with some bug fixes

* Thu Jul  4 2002 Owen Taylor <otaylor@redhat.com>
- Fix bug with type of FC_HINT_STYLE

* Wed Jul  3 2002 Owen Taylor <otaylor@redhat.com>
- New upstream tarball
- Allow Xft.hintstyle = hintnone/hintslight/hintmedium/hintfull

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 Owen Taylor <otaylor@redhat.com>
- Allow settings X resources to control hinting

* Mon Jun 10 2002 Owen Taylor <otaylor@redhat.com>
- New upstream version

* Mon Jun  3 2002 Owen Taylor <otaylor@redhat.com>
- New version, pull from new upstream 'fcpackage' mega-tarball

* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile
